# Verify Payment

Endpoint to verify Payments in Monato Billpay

Endpoint: POST /v1/verify-payment
Version: 1.0.0
Security: BearerAuth

## Query parameters:

  - `payee_id` (string, required)
    Monato Payee ID
    Example: "ac1e14e3-46a7-4010-b6ca-36090efc4f69"

  - `payer_account` (string, required)
    The payee reference to be paid
    Example: "821970704543"

  - `amount` (string, required)
    The amount to be paid
    Example: "1000"

  - `currency` (string, required)
    Currency in which the amount is going to be paid
    Example: "MXN"

  - `idempotency_key` (string, required)
    Unique value generated by the client which we use to recognize from subsequent requests
    Example: "your_api_key"

## Response 200 fields (application/json):

  - `payment_id` (string)
    Example: "68af20e7-f369-4764-a9bf-508684a2caa5"

  - `amount` (string)
    Example: "1000.0"

  - `currency` (string)
    Example: "MXN"

  - `payer_account` (string)
    Example: "821970704543"

  - `payee_id` (string)
    Example: "ac1e14e3-46a7-4010-b6ca-36090efc4f69"

  - `status` (string)
    Example: "completed"

  - `metadata` (object)
    Example: {}

  - `created_at` (string)
    Example: "2025-05-21T19:18:58.838Z"

## Response 404 fields (application/json):

  - `error_type` (string)
    Example: "INTERNAL_ERROR"

  - `error_message` (string)
    Example: "There was an error while processing your request"


